export class StGridConfigProvider {
    static get $inject(){
        return ['StGridDefaults']
    }
    constructor(StGridDefaults){
        this.StGridDefaults = StGridDefaults;
    }
    set defaults(obj){
        angular.merge(this.StGridDefaults, obj);
    }
    set firstColumns(firstColumns){
        angular.merge(this.StGridDefaults.firstColumns, firstColumns);
    }
    set lastColumns(lastColumns){
        this.StGridDefaults.lastColumns = lastColumns;
    }
    set options(options){
        this.StGridDefaults.options = options;
    }
    set columns(columns){
        angular.merge(this.StGridDefaults, columns);
    }
    set columnDefaults(colDef){
        this.StGridDefaults.columnDefaults = colDef;
    }
    set validators(validators){
        this.StGridDefaults.validators = validators;
    }
    set columnModels(colModels){
        this.StGridDefaults.columnModels = colModels;
    }
    set config(config){
        this.StGridDefaults.config = config;
    }
    getColumns(type, path){
        return getSafe(this.StGridDefaults[type], path);
    }
    get options(){
        return this.StGridDefaults.options;
    }
    $get(){
        return this
    }
}